: Class SimplePrincipal

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigsaw.acl
Class SimplePrincipal

    java.lang.Object
      |
      +--org.w3c.jigsaw.acl.SimplePrincipal

public class SimplePrincipal
extends java.lang.Object
implements AclPrincipal

The most simple principal, it takes only the realm name, username and passwd as arguments

Field Summary
`protected java.lang.String` | `name`
`protected java.lang.String` | `password`
`protected java.lang.String` | `realm`
`protected java.util.Hashtable` | `values`

Constructor Summary
`SimplePrincipal(java.lang.String name, java.lang.String password, java.lang.String realm)`

Method Summary
`boolean` | `equals(java.lang.Object another)`
`java.lang.String` | `getName()`
`java.lang.String` | `getPassword()` Get the password associated to this principal.
`java.lang.String` | `getRealm()` Get the realm associated to this principal.(could be his group)
`java.lang.Object` | `getValue(java.lang.String name)` Get a parameter value.
`int` | `hashCode()`
`boolean` | `matchIP(java.net.InetAddress adr)` Return true if the IPadress associated to this principal match the given one.
`void` | `setValue(java.lang.String name, java.lang.Object value)` Set a parameter.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### password

    protected java.lang.String password

### realm

    protected java.lang.String realm

### values

    protected java.util.Hashtable values

Constructor Detail

### SimplePrincipal

    public SimplePrincipal(java.lang.String name,
                           java.lang.String password,
                           java.lang.String realm)

Method Detail

### equals

    public boolean equals(java.lang.Object another)

  Overrides:
    equals in class java.lang.Object

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

### hashCode

    public int hashCode()

  Overrides:
    hashCode in class java.lang.Object

### getName

    public java.lang.String getName()

### getRealm

    public java.lang.String getRealm()

  Description copied from interface: AclPrincipal
  Get the realm associated to this principal.(could be his group)
  Specified by:
    getRealm in interface AclPrincipal
  Tags copied from interface: AclPrincipal
  Returns:
    the realm name.

### getPassword

    public java.lang.String getPassword()

  Description copied from interface: AclPrincipal
  Get the password associated to this principal.
  Specified by:
    getPassword in interface AclPrincipal
  Tags copied from interface: AclPrincipal
  Returns:
    the password

### setValue

    public void setValue(java.lang.String name,
                         java.lang.Object value)

  Description copied from interface: AclPrincipal
  Set a parameter.
  Specified by:
    setValue in interface AclPrincipal
  Tags copied from interface: AclPrincipal
  Parameters:
    `name` - the parameter name
    `value` - the parameter value

### getValue

    public java.lang.Object getValue(java.lang.String name)

  Description copied from interface: AclPrincipal
  Get a parameter value.
  Specified by:
    getValue in interface AclPrincipal
  Tags copied from interface: AclPrincipal
  Parameters:
    `name` - the parameter name.
  Returns:
    the parameter value

### matchIP

    public boolean matchIP(java.net.InetAddress adr)

  Description copied from interface: AclPrincipal
  Return true if the IPadress associated to this principal match the given one.
  Specified by:
    matchIP in interface AclPrincipal
  Tags copied from interface: AclPrincipal
  Parameters:
    `adr` - an IP adress
  Returns:
    true if the ip adress match.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD